    <!DOCTYPE html>
    <html>
    
        <head>
            <meta charset="utf-8">
            <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
            <title>hobby</title>
            <meta name="description" content="Udayan's hobbies.">
            <link rel="stylesheet" href="main.css">
            <script src="processing.js" ></script>
        <link rel="icon" type="img/png" href="icon.png">


        <script>
          (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
          (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
          m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
          })(window,document,'script','//www.google-analytics.com/analytics.js','ga');

          ga('create', 'UA-46266940-1', 'purdue.edu');
          ga('send', 'pageview');

        </script>
        
        </head>
        <body>
            
             <img alt="pattern" src="Udayan Umapathi2.png" height="80"
                width="300">
            
            <br>
            <br>

           
            
            <ulh>
                <lih><a  class="menu" href="index.html" >home</a></lih>
                <lih><a class="menu" href="projects.html" >projects</a></lih>
                <lih><a class="menu" href="research.html">research</a></lih>
                <lihblue><a class="menu" href="hobby.html">obsession</a></lihblue>
            </ulh>
        
            <hr class="style-one"/>
            
            <div >
            <img src="patternBanner.png" style="max-width: 100%;height:auto;">
            </div>
            
            <div> <p class="heading">Digital art</p></div>        
            <p>Some of my digital artwork is at display <a href="digital_art.html" target="_blank">here</a>.</p>

            <hr class="style-six"> 
            
            <div> <p class="heading">Blogging</p></div>
            <p>Technology can make people lives better. A strong belief in this statement made me a technology evangelist. I review, critique, promote some of the technology that I use and also about others I am interested in, through blogging medium. Some of my articles can be found on my <a href="http://tantra-jnaan.blogspot.com/" target="_blank">blog</a> and my old <a href="http://tantrajnaan.wordpress.com/" target="_blank">website</a>. I also used to contribute few articles at <a href="http://www.tabletroms.com/index.php/author/udayan/" target="_blank">tabletroms.com</a> due to my noteworthy interest towards Android operating system and portable devices.</p>  
            
            <hr class="style-six"> 
            
            <div> <p class="heading">3D printers</p></div>
            <p>Richard Grundy, CEO of Flomio Inc, has always been an inspiration to me. He is a tinkerer like me, who loves to hack and 
        build things. He invented a clever way to extend the range of <a href="http://en.wikipedia.org/wiki/Near_field_communication" 
            target="_blank"> NFC</a> antennas and provide additional scan area for NFC tags 
            (more about it <a href="http://flomio.com/2013/07/android-devices-and-randomness-in-the-nfc-antenna-placement/" 
            target="_blank">here</a>). Once the antenna worked, we had to give it robustness and a clean finish. We needed an enclosure. 
            A 3D printer simplified this job. We bought a $500 <a href="http://www.solidoodle.com/" target="_blank">Solidoodle</a> 3D 
                printer, created a 3D model of the case for the antenna, 
                fed it to the printer and after a few tens of minutes we had the case. It was like going back to being a kid - you 
                want to create a model of something and you have a machine which can build it for you!</p>
            
            <p>By playing with a 3D printer for several days, I realized the process of getting a model printed is not as simple as just 
                hitting print and having coffee. Today's 3D printers are dumb! You have to tell them every step they have to perform. 
                There are many subtle things to be taken care of in the software and hardware (electronics and mechanism of the printer 
                itself).</p> <p> Let me give you couple of examples:</p> 
            <ul>
                <li>The printer was supposed to print a circle, instead it was printing an 
            ellipse. We realized that the belt controlling the Y-axis had some slack. A simple fix for this was to tighten one of the screws 
                    in the printer. </li>
                <li>In the beginning when we started printing, after a few layers of plastic was extruded out, we noticed that the print 
                    started warping. We suspected if the temperature of the heating bed (on which the model is printed) was not hot enough. We had suspicions on the thickness of the extrusion as well. Eventually after abundant trials, we figured out the cause. There was a gentle flow of air from an AC vent which was causing fluctuations in the temperature on the bed. The solution was as simple as enclosing the printer inside cardboard box! </li>
            </ul>
           
            <p>
            The entire 3D printer journey at Flomio was phenomenal. It has created a special interest towards this technology in me. I am continuing to explore the 3D printer space everyday. At the <a href="http://thelabmiami.com/" target="_blank">Lab Miami</a>, I also ran into some amazing 3D printing enthusiasts, including <a 
            href="http://corrievansice.com/">Corrie Van Sice</a>, one of the engineer behind the first version of the <a 
            href="http://en.wikipedia.org/wiki/MakerBot_Industries">Makerbot</a> 3D printing revolution. Take a look at the cord clip I printed for my MAC, below.</p>
             <img class="centering" alt="3D printer"
                src="3d_printer.jpg" height="480" width="360">               
            
            <img class="centering" alt="Cord Clip"
                src="cord_clip.jpg" height="308" width="410">
     
            <hr class="style-six"> 
            <div> <p class="heading">Cartography</p></div>
       
            <p>
            Not long ago, I started working on a new obsession. Creating maps. I have thrown together a number of maps which together constitute a new experiment. This is still a work in progress. You can expect glitches on the project webpage. You can get a glimpse of my <a href="carto.html">cartography experiment</a>.
            </p>
            
        
<!--
            <hr class="style-six"> 
            <div> <p class="heading">Aeromodeling and Unmanned Aerial Vehicles</p></div>
            
            <hr class="style-six"> 
            <div> <p class="heading">Start-ups</p></div>
            
            <hr class="style-six"> 
            <div> <p class="heading">Photography</p></div>
-->
        
            <hr class="style-seven" />            
            <p class="left">copyrights©2013 Udayan</p>
            <br style="clear: both" />  
                     
       </body>
    </html>
